25 мая 2016

Как обновить рабочее окружение МАТЕ до версии 1.14 в Ubuntu MATE 16.04 LTS

Окружение MATE - это развитие кодовой базы GNOME 2.32 с сохранением классической концепции формирования рабочего стола.
В начале апреля текущего года разработчиками среды MATE было официально объявлено о выходе новой версии рабочего стола MATE 1.14, который будет установлен по умолчанию в таких дистрибутивах как Ubuntu MATE 16.10, Linux Mint MATE 18 и др.


Новое в MATE 1.14:

    - В панели реализована возможность изменения размера пиктограмм для кнопки вызова и элементов меню;
    - В диалоге перезапуска апплета добавлена отдельная кнопка "Delete" для удаления апплета (кнопка "Don’t Reload" теперь не удаляет апплет, а просто оставляет его закрытым до следующего перезапуска);
    - Расширена поддержка GTK+3 в различных компонентах пользовательского окружения. Обеспечена полная поддержка GTK+ 3.20 во всех темах оформления;
    - В темах оформления обеспечена корректная отрисовка приложений, использующих декорирование окон на стороне клиента;
    - В настройки тачпада добавлена возможность раздельного включения прокрутки двумя пальцами и движением по краю тачкпада;
    - В Центре управления появилась возможность выбора трёх режимов установки фокуса в окнах;
    - MATE System Monitor и редактор меню Mozo переведены на использование GTK+3;
    - Апплет NetSpeed (индикатор сети) перемещён в состав пакета MATE Applets;
    - В эмулятор терминала добавлена поддержка API VTE 2.91 при сборке с GTK+3;
    - В файловом менеджере Caja добавлена возможность закрытия вкладок кликом средней кнопкой мыши. Дополнения Caja, написанные на языке Python, теперь выводятся в отдельном списке;
   - Возможность включения/выключения экранного (OSD) индикатора громкости и яркости;
    - В оконном менеджере Marco (форк Metacity) устранены артефакты, возникающие при свёртывании окна Chromium. Возобновлён показ эскизов окон в интерфейсе alt-tab при сборке с GTK+3 и включенном композитном менеджере;
    - Обновлены файлы с переводами.

Обновление окружения MATE до версии 1.14 в Ubuntu MATE 16.04

Как известно, в Ubuntu MATE 16.04 LTS, по умолчанию используется окружение MATE 1.12. В настоящий момент не создан официальный репозиторий или другая официальная возможность обновления окружения MATE 1.12 до версии 1.14 в Ubuntu MATE 16.04. Но умельцем Самойловым создан неофициальный реп. для обновления с MATE 1.12 до 1.14. Так что делайте обновление на свой страх и риск.
Могу лишь заверить, что после подключения данного репозитория и обновления в Ubuntu MATE 16.04 LTS, моя система работает стабильно.

Для тех кто решился на обновление, откройте терминал (Ctrl+Alt+T), скопируйте и выполните следующие команды:

sudo add-apt-repository ppa:samoilov-lex/mate-stable
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt install -f


По окончании обновления, перезагрузите компьютер. И после нового входа в систему Ubuntu MATE 16.04 LTS вы должны использовать окружение MATE 1.14:


Чтобы проверить актуальную версию MATE, выполните в терминале следующую команду:

mate-about


Или откройте из системного меню приложение Системный монитор MATE:


Источник: https://launchpad.net/~samoilov-lex/+archive/ubuntu/mate-stable

Удачи.

41 комментарий :

  1. Извиняюсь за вопрос не по теме. Стоит ubuntu mate x64, хотел ребенку поставить пару игр простых установка проходит через бутик или аппгрид, но ни одна игрушка не запускается. В plank выскакивает ярлычок повисит секунд 10 и все. Что может быть?

    ОтветитьУдалить
  2. Возможно у Вас не активирован проприетарный драйвер для видеокарты. Откройте Программы и обновления - Дополнительные драйверы, активируйте драйвер и перезагрузите компьютер.

    ОтветитьУдалить
    Ответы
    1. Активирован, даже вчера при обновлении mate и он обновился (nvidia). Пробовал с торрента также скачать, запускаю sh скрипт и ничего.

      Удалить
    2. В терминале попробуйте запустить, посмотрите выхлоп. Возможно каких-то библиотек нехватает, их надо установать вручную.

      Удалить
    3. На попытку запустить любой sh скрипт открывает окно где можно выбрать тему и пишет, что ее не возможно установить.

      Удалить
    4. Запустите скрипт в терминале, как уже советовали. Откройте терминал, наберите ./путь/к/скрипту/мой-скрипт , затем enter
      (или откройте терминал сразу в папке, где лежит скрипт, и наберите просто ./мой-скрипт)
      Выхлоп терминала скиньте в комментарий, поглядим.

      Удалить
    5. P.S. Разумеется, имя скрипта набирайте с расширением .sh, если оно имеется.

      Удалить
  3. Что там с русской локализацией?
    На том же уровне что и месяц назад?

    ОтветитьУдалить
    Ответы
    1. Если поклонник ubuntu mate, попробуй matuntu там перевели всё. У меня как то потихоньку она основной стала.

      Удалить
    2. Да нет, я поклонник крысы, а перевод жду в познавательных целях...

      Удалить
    3. Могу уверенно сказать как и месяц назад что на русский Мате переведено на 100%, но Мате это ещё не весь дистрибутив

      Удалить
    4. Если ты внимательно вникнешь в данную тему, то поймешь что тут речь не о чистом мате, а о Ubuntu MATE 16.04 LTS, в котором интерфейс еще не до конца локализован на русский язык (((((

      Удалить
    5. Leon 75, Вы только что сами разделили мух от котлет и вновь из соединили. Поясню. То что рабочее окружение MATE локализовано на 100%, это так, а вот собственные приложения Ubuntu MATE, такие, например, как "Добро пожаловать", пока ни как не локализовано. Это факт.
      Наверное так будет более конкретно.

      Удалить
  4. При прокрутке в интернете страниц, вверх или вниз ,середина экрана дергается. Это как-то как-то можно исправить? Я так понимаю что это какая-то рассинхронизация...

    ОтветитьУдалить
    Ответы
    1. 1. Меню Firefox - Правка - Настройки - Дополнительные, убрать флажок с пункта - Использовать плавную прокрутку. И тиринг должен исчезнуть.
      2. Тиринг проподает также после установки проприетарного драйвера видеокарты.
      3. " Как устранить мерцание Firefox с драйвером Nvidia": http://compizomania.blogspot.com/2014/10/firefox-ubuntu-1404-nvidia.html

      Удалить
    2. Ну еще в настройках клацнуть на mate tweak, и попробовать сменить оконный менеджер с marco (software compozitor) на marco (compton GPU compozitor), либо же вообще на compiz.

      Удалить
    3. Unknown спасибо помогло! Интересно почему столько ошибок вылетает? 16.04 походу на коленке собирали...

      Удалить
    4. ==Интересно почему столько ошибок вылетает?==
      Если Вы про отсутствие вертикальной синхронизации - это не ошибка. Это особенность встроенного композита оконного менеджера Marco. Он изначально так написан, для большей простоты и совместимости. Именно поэтому и предусмотрены запасные варианты с использованием marco+compton или compiz.

      Удалить
    5. Ясно. А ошибки которые вылазят в виде уведомлений их можно как-то отключит? Вот эта команда подойдет для 16.04 ? sudo sed -i "s/enabled=1/enabled=0/g" '/etc/default/apport'

      Удалить
    6. ==Вот эта команда подойдет для 16.04 ? sudo sed -i "s/enabled=1/enabled=0/g" '/etc/default/apport'==
      Не знаю, у меня не установлена 16.04. Но можно сходить и посмотреть в файловом менеджере, существует ли файл /etc/default/apport
      Если существует, то и редактировать его можно. Просто в текстовом редакторе под рутом поменять в строке enabled=1 единичку на нолик, и дело с концом.

      Удалить
    7. Да, эта команда: sudo sed -i "s/enabled=1/enabled=0/g" '/etc/default/apport'
      отключает извещения об ошибках.

      Удалить
  5. извините. а вы почему использовали обе команды upgrade и dist-upgrade? насколько я знаю, если спользовать один из них, то других уже не нужен, или я неверно знаю?

    ОтветитьУдалить
    Ответы
    1. ==извините. а вы почему использовали обе команды upgrade и dist-upgrade?==
      В данном случае команда upgrade обновляет существующую пакетную база приложений, команда dist-upgrade затем обновляет дистрибутив после подключения нового репозитория. Иначе обновление будет не полным. Вот, как-то так.

      Удалить
    2. а вот есл выполнить dist-upgrade до добавления репозитория, без upgrade, всё равно обновление будет неполным?

      Удалить
    3. ну всмысле после доваления ещё раз сделать dist-upgrade)

      Удалить
    4. Я же Вам объяснил, что нужно прежде привести в порядок актуальную систему - upgrade, а затем обновить дитсрибутив - dist-upgrade. Это последовательность обновления. Выполните последовательность команд, что указаны в статье и Вы в этом убедитесь.

      Удалить
    5. похоже и вправду пока не выполню не станет ясно) спасибо, ваш блог лучший :)

      Удалить
  6. Скажите а что будет дальше? Рано или поздно к примеру Самойлову надоест созданный репозиторий и он перестанет его поддерживать. А 16.04 долговременная, и в 12 Мате рано или поздно запихнут все фишки из 14, и официальные обновления пойдут дальше. А те кто вколет себе сейчас эту 14 мате неофициальную получится останутся как камушек который вдавила в болото задница сестрицы Аленушки зовущая своего братца козла - Иванушку? :)
    Пы.Сы. Извиняюсь за эпистолярность сего сообщения :)

    ОтветитьУдалить
    Ответы
    1. рано или поздно будет создан либо офф репозиторий, либо новая версия появится в существующих офф репозиториях) когда это будет, можно просто удалить этот реп и обновиться)

      Удалить
    2. Тогда я Вам тоже отвечу эпистолярно, если позволите.
      Заповедь Алёнушки: "Не пей Иванушка из лужицы, козлёночком станешь."
      А если серьёзно, то такие сторонние репозитории, как Вы правильно заметили, бывают недолговечны ввиду разных обстоятельств: разработчик репа заболел, надоело и пр. и получится, что козлёночек остался перед лужицей. Поэтому в статье есть напоминание делать "на свой страх и риск".

      Удалить
  7. Уж лучше "на свой страх и риск" чем windows 10 ((( .

    ОтветитьУдалить
  8. сергей иванов, хоть я и приверженец Linux, уже много лет, но про Windows 10 могу сказать , что система довольно неплохая.

    ОтветитьУдалить
    Ответы
    1. Любая винда кривая, одна ntfs только чего стОит не говоря об остальном, если сравнивать именно виндовсы то да 10 получше.

      Удалить
  9. Стояла сборка от alv.всё работало. и танки тоже..решил "переставиться", и вот тут и началось..Дело не в alv, дело в пустой башке.Не могу запустить танки..Старому дураку поиграть захотелось. а они не запускаются!!!

    ОтветитьУдалить
    Ответы
    1. PortWINE тебе поможет. С этим портом не только запускаются, но и фпс ,как ни странно, выше чем в винде. Вот ссылка на сайт http://fidblog.ru/world-of-tanks/

      Удалить
  10. В google+ сегодня увидел,что Martin Wimpress на днях ответил на вопросы,касающиеся Mate 1.14 для Ubuntu Mate 16.04. Дословно:

    In answer to all the requests, Yes, MATE 1.14 will be coming to a PPA for Ubuntu MATE 16.04. ☺️

    However, it will be a GTK2 build to ensure nothing in your LTS gets broken. I'm not going to have access to a computer for just over a week, but the build is done. We'll do some final testing before releasing, shouldn't be more than 2 weeks.
    

    ОтветитьУдалить
  11. Martin Wimpress,лидер проекта написал о том,что доступно обновление до Mate 1.14 для Ubuntu 16.04 : http://news.softpedia.com/news/mate-1-14-desktop-environment-available-for-ubuntu-mate-16-04-lts-update-now-505013.shtml

    ОтветитьУдалить
  12. Всех вышеотписавшихся, которые опасаются за поддержку репозитория, спешу успокоить: репозиторий будет поддерживаться на протяжении всего жизненного цикла Ubuntu 16.04, так как я его использую, можно сказать, в продакшене. Более того. Скоро планируется ввести в строй репозиторий с MATE, собранным с GTK 3, для Ubuntu 16.04.

    ОтветитьУдалить